使用d选择实体
对于来自LIPS的专家来说,另一个挑战是:与各种实体合作覆盖不同的颜色和层,可以在上层中选择可见实体的颜色,忽略位于较低绘制顺序的相同颜色的实体? 虽然我已经研究了5次以上的线程,我没有得到的意义:?! 您也许可以使用SortEnts表格的方法,该表格可以通过以下方式获得:
;;------------------=={ Sortents Table }==--------------------;;
;; ;;
;;Retrieves the Sortents Table object. ;;
;;------------------------------------------------------------;;
;;Author: Lee Mac, Copyright © 2010 - www.lee-mac.com ;;
;;------------------------------------------------------------;;
;;Arguments: ;;
;;space - VLA Layout Block Object ;;
;;------------------------------------------------------------;;
;;Returns: Sortents Table Object, else nil ;;
;;------------------------------------------------------------;;
(defun LM:SortentsTable ( space / dict ) (vl-load-com)
;; © Lee Mac 2010
(defun _catchapply ( foo args / result )
(if
(not
(vl-catch-all-error-p
(setq result
(vl-catch-all-apply foo args)
)
)
)
result
)
)
(cond
(
(_catchapply 'vla-item
(list
(setq dict
(vla-GetExtensionDictionary space)
)
"ACAD_SORTENTS"
)
)
)
(
(_catchapply 'vla-AddObject
(list dict "ACAD_SORTENTS" "AcDbSortentsTable")
)
)
)
)
这里有几个例子:
http://lee-mac.com/draworderfunctions.html
但我不完全理解这个问题。
李 李·麦克,
储罐。
至于你的日常生活:
调用例程的命令是什么?
至于我的问题。
我将尝试通过示例图像进行解释。
它是一个子函数(不是命令),需要一个参数(VLA布局块对象),并返回SortEnts表对象。
查看链接以了解如何调用它。 在我看来,他希望能够选择在其他对象之前的对象
当有多个对象相互重叠时。
当他说。。。
我想他是说你能选一个吗。。。??
这个肯定需要澄清。。。 如果在重叠组中选择了错误的对象,只需使用Shift+空格键在项目之间循环,以找到所需的项目。
页:
[1]